34 Replies Latest reply on Feb 9, 2019 1:25 PM by Solid Air

    Link balloon text to specified table missing

    Ted Andreas

      I just updated to 2019 sp1 and now find when I right click on a part on a sheet and choose properties, the Balloons box with (Link balloon to specified table) is not populated with any tables to choose from, even thought there is a BOM  on the drawing. The way I make a BOM table is left click on an assembly that it on a sheet and choose Bill on Materials. I hit ok and have my BOM with all parts on the assembly listed. If I now add a part to the sheet that is within the assembly and place a balloon on it, it is not linked to the BOM I just created or is the BOM even listed in the (Link balloon text to specified table) box.

        • Re: Link balloon text to specified table missing
          Ted Andreas

          This is happening on two separate systems. One running Windows 7 and one Windows 10. Is it only happening to me? I'll insert a screenshot so you can see what is happening. Notice the BOM for the assembly and then notice each part has a balloon with part #1. This is because when I select properties for the part from the page and click the Link balloon text to specified table, there is no BOMs to choose from. (The box collapsed when I did a screenshot but it was still blank).

          Link Balloon.jpg

          • Re: Link balloon text to specified table missing
            Glenn Schroeder

            Can you Pack and Go the Drawing to a zip file and post it here?  (See How can I attach a file to a forum post? if you aren't familiar with the process.)

            • Re: Link balloon text to specified table missing
              ömür tokman

              If that's what you're talking about.

              Everything is normal for me.

              see attached video.

              • Re: Link balloon text to specified table missing
                Christian Aerts

                I spoke with technical support last night about this issue. He said its a bug on the SPR#1115587 - "'Link balloon text to speified table' option for Drawing View Properties cannot be selected". The only way around this is to downgrade to SP0 by uninstalling and reinstalling 2019. I'm sure it will get resolved in the future but downgrading works.

                  • Re: Link balloon text to specified table missing
                    Ted Andreas

                    OK thanks, sp1 solved other issues I was having but created this one which is a biggie. Weird that no one else is complaining about it.

                      • Re: Link balloon text to specified table missing
                        Josh Brady

                        Is anyone following this thread still running 2019 SP1?

                         

                        I'm curious as to whether this is fully broken in SolidWorks or if it's just a user interface issue.  If the part that's broken is just the SolidWorks code that populates that dropdown, it may be possible to set using the API.

                         

                        If anyone is interested in trying it out, I'll throw together some code real quick.  I hate waiting for SPs....

                          • Re: Link balloon text to specified table missing
                            Solid Air

                            Josh,

                            I just installed SP1.0 and opened Ted's file (and one of my own).  The issue is you cannot link a view of a part to the BOM like you could in previous versions (unfortunately I did not test linking BOM to part view before upgrading to SP1.0 so I do not know if SP0.0 worked.  However I did open an assembly in SW2018 SP5.0 and was able to link a part view to a BOM).  No problems linking the assembly to the BOM in SP1.0.

                             

                            I did not use your code as I had already written my before logging into the forum tonight.  For me my code did not work linking the BOM to the view of the part but did for linking the BOM to the view of the assembly.

                            • Re: Link balloon text to specified table missing
                              Deepak Gupta

                              Josh Brady wrote:

                               

                              Is anyone following this thread still running 2019 SP1?

                               

                              I'm curious as to whether this is fully broken in SolidWorks or if it's just a user interface issue. If the part that's broken is just the SolidWorks code that populates that dropdown, it may be possible to set using the API.

                               

                              If anyone is interested in trying it out, I'll throw together some code real quick. I hate waiting for SPs....

                              It seems to be broken in 2019 SP 1, works fine for older versions.

                               

                              And using the macro, the link is set but that drop down box is still empty. And if that option is selected, it breaks again!!

                          • Re: Link balloon text to specified table missing
                            Josh Brady

                            Just for fun... If you've not downgraded yet try this code.  It uses API calls to set the link.  Might work if it's just a user interface problem...

                            In the Feature Manager, select a drawing view and a BOM, then run this code.

                             

                            
                            Sub main()
                            
                            
                            Dim swApp As SldWorks.SldWorks
                            Dim swBOMtbl As SldWorks.BomFeature
                            Dim swView As SldWorks.View
                            Dim swDoc As SldWorks.ModelDoc2
                            Dim swSelMgr As SldWorks.SelectionMgr
                            
                            
                            Set swApp = Application.SldWorks
                            Set swDoc = swApp.ActiveDoc
                            Set swSelMgr = swDoc.SelectionManager
                            
                            
                            Dim i As Long
                            
                            
                            For i = 1 To swSelMgr.GetSelectedObjectCount2(-1)
                                If swSelMgr.GetSelectedObjectType3(i, -1) = swSelDRAWINGVIEWS Then
                                    Set swView = swSelMgr.GetSelectedObject6(i, -1)
                                ElseIf swSelMgr.GetSelectedObjectType3(i, -1) = swSelBOMFEATURES Then
                                    Set swBOMtbl = swSelMgr.GetSelectedObject6(i, -1)
                                End If
                            Next i
                            
                            
                            If (Not (swView Is Nothing)) And (Not (swBOMtbl Is Nothing)) Then
                                MsgBox "Attempting to link " & swView.Name & " to BOM: " & swBOMtbl.Name
                                MsgBox "Success?  " & swView.SetKeepLinkedToBOM(True, swBOMtbl.Name)
                            Else
                                MsgBox "Please select a drawing view and a BOM in the Design Tree and run again"
                            End If
                            End Sub
                            
                              • Re: Link balloon text to specified table missing
                                Ted Andreas

                                Josh, I don't have a clue on how to run the code. Never did anything like that. Got as far as clicking on the drawing view and BOM but then what? Or maybe this wasn't meant for me? Thanks

                                • Re: Link balloon text to specified table missing
                                  Sterling Simmons

                                  I am having the same issue described here since "upgrading" to SW2019 SP1.  When I contacted my VAR they confirmed that it is an SPR.  In the meantime they set me up with this macro which seems to be working for me.  I just came here to personally thank you for posting this.  Thank you a million times! 

                                    • Re: Link balloon text to specified table missing
                                      Josh Brady

                                      Sterling Simmons wrote:

                                       

                                      I am having the same issue described here since "upgrading" to SW2019 SP1. When I contacted my VAR they confirmed that it is an SPR. In the meantime they set me up with this macro which seems to be working for me. I just came here to personally thank you for posting this. Thank you a million times!

                                      Interesting... So you're saying that the code I posted seems to work for you on views that you're unable to link through the user interface?  I wonder how it differs from Solid Air 's code (if at all).   I know he knows his way around the API too...

                                    • Re: Link balloon text to specified table missing
                                      Richard Bremmer

                                      Tried this code for a weldment cutlist, it didn't work, should the code for a cutlist be different?

                                        • Re: Link balloon text to specified table missing
                                          Sterling Simmons

                                          My VAR (shout out to CATI) gave it to me already packaged up as a macro then walked me through how to install it, etc.

                                          We tried it out on an assembly with weldment components and it worked fine.  We were using a BOM with embedded cut list not just a plain cut list.

                                            • Re: Link balloon text to specified table missing
                                              Josh Brady

                                              Sterling Simmons wrote:

                                               

                                              My VAR (shout out to CATI) gave it to me already packaged up as a macro then walked me through how to install it, etc.

                                              We tried it out on an assembly with weldment components and it worked fine. We were using a BOM with embedded cut list not just a plain cut list.

                                               

                                              So.... Kudos to CATI for helping you out, and double kudos to you for hunting this down posting your experience, but... if they really got the code from here, why no feedback/validation from them here? I posted the code and asked if it worked because I don't have 2019 installed yet.  And that's a dang important function of the software, so if the code didn't work that would be another reason for me to wait until SP[whenever they fix it] before upgrading.  Until you posted, the only feedback was from SolidAir which said that it doesn't work.

                                              • Re: Link balloon text to specified table missing
                                                Solid Air

                                                I am curious exactly what you are ballooning?  Creating a BOM with a detailed cut list is different than what Ted was trying to accomplish.  How were you creating views of the individual parts?  Were they made from the assembly or for the individual welded part?

                                              • Re: Link balloon text to specified table missing
                                                Josh Brady

                                                Yes, a weldment cutlist would be different, although it seems not by much.

                                                 

                                                This worked at least once on my system.... I don't use cutlists much, so I'm not sure if it works for every situation or method of generating a cutlist.

                                                 

                                                Is the UI broken for weldment cutlists as well as BOMs in 2019 sp1?

                                                 

                                                Sub main()
                                                  
                                                  
                                                Dim swApp As SldWorks.SldWorks
                                                Dim swWtbl As SldWorks.WeldmentCutListFeature
                                                Dim swView As SldWorks.View
                                                Dim swDoc As SldWorks.ModelDoc2
                                                Dim swSelMgr As SldWorks.SelectionMgr
                                                  
                                                  
                                                Set swApp = Application.SldWorks
                                                Set swDoc = swApp.ActiveDoc
                                                Set swSelMgr = swDoc.SelectionManager
                                                  
                                                  
                                                Dim i As Long
                                                  
                                                  
                                                For i = 1 To swSelMgr.GetSelectedObjectCount2(-1)
                                                    If swSelMgr.GetSelectedObjectType3(i, -1) = swSelDRAWINGVIEWS Then
                                                        Set swView = swSelMgr.GetSelectedObject6(i, -1)
                                                    ElseIf swSelMgr.GetSelectedObjectType3(i, -1) = swSelWELDMENTTABLEFEATS Then
                                                        Set swWtbl = swSelMgr.GetSelectedObject6(i, -1)
                                                    End If
                                                Next i
                                                  
                                                  
                                                If (Not (swView Is Nothing)) And (Not (swWtbl Is Nothing)) Then
                                                    MsgBox "Attempting to link " & swView.Name & " to weld table: " & swWtbl.GetFeature.Name
                                                    MsgBox "Success?  " & swView.SetKeepLinkedToBOM(True, swWtbl.GetFeature.Name)
                                                Else
                                                    MsgBox "Please select a drawing view and a Weldment Cutlist in the Design Tree and run again"
                                                End If
                                                End Sub
                                                
                                              • Re: Link balloon text to specified table missing
                                                Solid Air

                                                Josh Brady

                                                 

                                                Your macro does work, as Deepak Gupta pointed out, the view is linked to the BOM but the drop down does not show it.

                                                  • Re: Link balloon text to specified table missing
                                                    Josh Brady

                                                    Solid Air wrote:

                                                     

                                                    Josh Brady

                                                     

                                                    Your macro does work, as Deepak Gupta pointed out, the view is linked to the BOM but the drop down does not show it.

                                                    Thanks for the feedback, SA!  I'm sorta not surprised that the interface is the only thing that's broken.  I've made enough interfaces to be keenly aware that it often doesn't matter how awesome your code/functionality underneath is if nobody can get to it because the interface is broken...

                                                     

                                                    This isn't the first time I've coded around a broken/incomplete UI, and probably won't be the last.  It's just nice that it's possible to do so much of it with the API!

                                              • Re: Link balloon text to specified table missing
                                                Richard Bremmer

                                                According to the KnowledgeBase SPR#1115587 is targeted to be resolved in 2019 SP2.

                                                • Re: Link balloon text to specified table missing
                                                  James Covlentz

                                                  Item numbers, they don't use BOM item numbers in balloons when you insert individual part files… It is broke. It needs fixed now it make SW unusable for large assemblies if you don't use internal part numbers. See my tech support e-mail on 1-22-19.

                                                   

                                                  From: Bucchino, Tony [mailto:Tony.Bucchino@trimech.com]
                                                  Sent: Tuesday, January 22, 2019 11:20 AM
                                                  To: James Coblentz
                                                  Subject: RE: BOM issues in 2019

                                                  I was messing around with it this morning in my 2019 install
                                                  and I am having the same issue as you. Which means it is not an install problem
                                                  but a bug. I misunderstood what you were trying to do yesterday but you last
                                                  email explained it. I went back to my 2018 install and am able to inset the
                                                  part into my assembly drawing and it balloons correctly on my drawing. I also found
                                                  a and SPR#1115587 that says a regression in Solidworks 2019 SP0 and SP1 stating
                                                  “'Link balloon text to specified table' option from Drawing View Properties
                                                  cannot be selected”. It looks as though it is a bug in 2019. It is in as a
                                                  critical issue and those are the ones that are fixed the quickest but as of now
                                                  has not been implemented. What I can do is add you to the SPR so that when it
                                                  is implemented, you will receive an email telling you what service pack will
                                                  fix it. I wish I had a better answer for you as I know this is a big issue and
                                                  probably critical to your process But I will add you to the list as well as
                                                  myself to add more people to this problem so it gets fixed sooner.

                                                   

                                                  Again really sorry

                                                  Tony Bucchino

                                                  Elite Application Engineer  | CSWE241

                                                  Boston Post Road West  |  Marlborough, MA   |  01752

                                                  Office: 508.630.8000
                                                  Direct: 508.630.8039

                                                  Technical
                                                  Support:
                                                  888.874.6324  |  Support@TriMech.com